|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSStackFrame Class Reference

The QSStackFrame class provides information about a function call in the stack trace. More...

`#include <qsinterpreter.h>`

List of all member functions.

## Public Members

- QString scriptName () const
- QString function () const
- int line () const
- QObject * context () const

## Detailed Description

The QSStackFrame class provides information about a function call in the stack trace.

A QSStackFrame object only makes sense when grouped together in a QSStackTrace to provide a trace of the execution up to where an error occurred.

The QSStackFrame contains four values: file name, line number, function name, and context.

## Member Function Documentation

### QObject * QSStackFrame::context () const

Returns the context of the function if it was evaluated in the context of a QObject; otherwise returns 0.

### QString QSStackFrame::function () const

Returns the name of the function that this stack frame describes.

### int QSStackFrame::line () const

Returns the line number within the script.

### QString QSStackFrame::scriptName () const

Returns the name of the script in which the function is located if the script name was specified when the function was evaluated; otherwise returns QString::null.

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.